--- title: "Get Available NMS Users at Sensor" slug: "get-available-nms-users-at-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/get-available-nms-users-at-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Available NMS Users at Sensor This URL gets the NMS users available at domain to allocate to the Sensor. ### Resource URL GET /sensor/ /nmsusers/available ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | ### Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `NMSUserList` | Contains the list of NMS users | ObjectList | Details of fields in NMSUserList: | Field Name | Description | Data Type | | --- | --- | --- | | `NMSUserDetails` | NMS user details | Object | Details of fields in NMSUserDetails: | Field Name | Description | Data Type | | --- | --- | --- | | `userName` | Name of the NMS user | String | | `userId` | Id of the NMS user | Number | | `createdAt` | Resource where the NMS user was created | String | ### Example **Request** GET [https:///sdkapi/sensor/1001/nmsusers/available](https://<NSM_IP>/sdkapi/sensor/1001/nmsusers/available) **Response** ```    {       "nmsUserDetails":       [           {               "userName": "user1",               "userId": 14,               "createdAt": "/My Company"           },           {               "userName": "admin123",               "userId": 9,               "createdAt": "/My Company "           }, {               "userName": "user1234",               "userId": 10,               "createdAt": "/My Company"           }       ]    } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive | | 3 | 400 | 5401 | FIPS enabled on Sensor |